Get a conversation

Base URL
https://{kibana_url}
  • GET /api/security_ai_assistant/current_user/conversations/{id}
  • GET /s/{space_id}/api/security_ai_assistant/current_user/conversations/{id}
Auth

Get the details of an existing conversation using the conversation ID. This allows users to fetch the specific conversation data by its unique ID.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · format: nonempty · min length: 1 required

The conversation's id value, a unique identifier for the conversation.

Example: abc123

Responses

Indicates a successful call. The conversation details are returned.

application/json
category enum required

The conversation category.

Values: assistant insights
createdAt string required

The time conversation was created.

createdBy object required

Could be any string, not necessarily a UUID.

id string

User id.

name string

User name.

excludeFromLastConversationStorage boolean

Exclude from last conversation storage.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

namespace string required

Kibana space

replacements map string to string

Replacements object used to anonymize/deanonymize messages

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

title string required

The conversation title.

updatedAt string

The last time conversation was updated.

users object[] required
id string

User id.

name string

User name.

Base URL
https://{kibana_url}